summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2016-07-18 16:08:04 +1000
committerStewart Smith <stewart@linux.vnet.ibm.com>2016-07-18 16:08:04 +1000
commit281f7993dffcd8dcb0609182d5263ba62db52edf (patch)
treea48062f490a11392b73fae07ee57189789a62111 /test
parentd314ddf5d9e167108ccddf0ed1cdb3cc0f25d443 (diff)
downloadblackbird-skiboot-281f7993dffcd8dcb0609182d5263ba62db52edf.tar.gz
blackbird-skiboot-281f7993dffcd8dcb0609182d5263ba62db52edf.zip
Use mktemp rather than the deprecated tempfile
Fixes: 2ceb8b8c0ac53a9014e83d12e1c758d5f9e07fe6 Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest/hello_world/run_mambo_hello_world.sh2
-rwxr-xr-xtest/hello_world/run_qemu_hello_world.sh2
-rwxr-xr-xtest/run_mambo_boot_test.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/test/hello_world/run_mambo_hello_world.sh b/test/hello_world/run_mambo_hello_world.sh
index 9d33565c..7bde5978 100755
--- a/test/hello_world/run_mambo_hello_world.sh
+++ b/test/hello_world/run_mambo_hello_world.sh
@@ -31,7 +31,7 @@ export SKIBOOT_ZIMAGE=`pwd`/test/hello_world/hello_kernel/hello_kernel
OLD_ULIMIT_C=`ulimit -c`
ulimit -c 0
-t=$(tempfile) || exit 1
+t=$(mktemp) || exit 1
trap "rm -f -- '$t'" EXIT
diff --git a/test/hello_world/run_qemu_hello_world.sh b/test/hello_world/run_qemu_hello_world.sh
index fd4c5c92..bcd0f563 100755
--- a/test/hello_world/run_qemu_hello_world.sh
+++ b/test/hello_world/run_qemu_hello_world.sh
@@ -27,7 +27,7 @@ fi
export SKIBOOT_ZIMAGE=`pwd`/test/hello_world/hello_kernel/hello_kernel
-t=$(tempfile) || exit 1
+t=$(mktemp) || exit 1
trap "rm -f -- '$t'" EXIT
diff --git a/test/run_mambo_boot_test.sh b/test/run_mambo_boot_test.sh
index 9b216b49..e028330e 100755
--- a/test/run_mambo_boot_test.sh
+++ b/test/run_mambo_boot_test.sh
@@ -41,7 +41,7 @@ fi
OLD_ULIMIT_C=`ulimit -c`
ulimit -c 0
-t=$(tempfile) || exit 1
+t=$(mktemp) || exit 1
trap "rm -f -- '$t'" EXIT
OpenPOWER on IntegriCloud